## saods9 7.6+repack

=== debian/changelog ===
saods9 (7.6+repack-3) unstable; urgency=medium

  * Backported patch for IIS: fixed corrupted colormap and colorbar numerics

 -- Ole Streicher <ole@poch>  Tue, 03 Jul 2018 22:36:01 +0200

saods9 (7.6+repack-2) unstable; urgency=medium

  * Add check for HAVE_SYS_UN_H. Fixes interoperability problem with IRAF

 -- Ole Streicher <olebole@debian.org>  Fri, 18 May 2018 21:09:21 +0200

saods9 (7.6+repack-1) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * New upstream version 7.6+repack. Update Files-Excluded and build deps
  * Rename saods9-tclpackages to tcliis
  * Reorganize patches for GBP
  * Push Standards-Version to 4.1.4. Use https for copyright format
  * Update d/copyright

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Apr 2018 14:33:52 +0200

=== debian/control ===
Source: saods9
Section: science
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: cpio,
               debhelper (>= 11),
               dh-exec,
               html2text,
               libfuntools-dev,
               libstarlink-ast-dev (>= 7.0.4),
               libtk-img-dev,
               libwcstools-dev,
               libxml2-dev,
               perl,
               tcl-dev (>= 8.6),
               tcl-signal,
               tcl-xpa,
               tcllib,
               tcltls,
               tclxml,
               tk-dev (>= 8.6),
               tk-html1,
               tk-mpeg,
               tk-table (>= 2.9),
               tkblt-dev,
               tkcon,
               xauth,
               xvfb
Standards-Version: 4.1.4
Homepage: http://ds9.si.edu/
Vcs-Browser: https://salsa.debian.org/debian-astro-team/saods9
Vcs-Git: https://salsa.debian.org/debian-astro-team/saods9.git

Package: saods9
Architecture: all
Depends: libtk-img,
         tcl-signal,
         tcl-xpa,
         tcliis,
         tcllib,
         tcltls,
         tclxml,
         tk (>= 8.6),
         tk-html1,
         tk-mpeg,
         tk-table (>= 2.9),
         tkblt,
         tkcon,
         tksao,
         ${misc:Depends}
Recommends: saods9-doc
Suggests: python3-pyds9, xpa-tools
Breaks: saods9-data (<< 7.4~b4+repack-2~)
Replaces: saods9-data (<< 7.4~b4+repack-2~)
Description: Image display tool for astronomy
 SAOImage DS9 is an astronomical imaging and data visualization
 application. DS9 supports FITS images and binary tables, multiple frame
 buffers, region manipulation, and many scale algorithms and colormaps. It
 provides for easy communication with external analysis tasks and is highly
 configurable and extensible via XPA and SAMP.
 .
 All versions and platforms support a consistent set of GUI and
 functional capabilities.
 .
 DS9 supports advanced features such as 2-D, 3-D and RGB frame buffers, mosaic
 images, tiling, blinking, geometric markers, colormap manipulation, scaling,
 arbitrary zoom, cropping, rotation, pan, and a variety of coordinate
 systems.
 .
 The GUI for DS9 is user configurable. GUI elements such as the coordinate
 display, panner, magnifier, horizontal and vertical graphs, button bar, and
 color bar can be configured via menus or the command line.

Package: tksao
Architecture: any
Depends: tkblt, ${misc:Depends}, ${shlibs:Depends}
Recommends: saods9-doc
Suggests: saods9
Multi-Arch: same
Description: Tk widgets for astronomical imaging and data visualization
 SAOTk is an integrated set of Tcl/Tk canvas widgets for astronomical
 imaging and data visualization. The widget set is composed of the
 Frame, Panner, Magnifier, and Colorbar widgets. In addition to
 classical support for imaging FITS data, manipulating colormaps,
 region marking, coordinate readout (including WCS), etc, SAOTk
 widgets also support arbitrary image scaling and rotation, advanced
 postscript printing, Truecolor graphic support, and image mosaics.
 .
 The SAOTk widgets are being used in a wide variety of astronomical
 applications. These applications include general visualization and
 analysis, real-time instrumentation and calibration, and interactive
 modeling. These Tcl extensions can be utilized in any standard Tcl/Tk
 environment to build custom data analysis and visualization
 applications.

Package: tcliis
Architecture: any
Depends: tcl, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Replaces: saods9-tclpackages (<< 7.6+repack-1~)
Breaks: saods9-tclpackages (<< 7.6+repack-1~)
Description: Tcl IIS protocol package
 IRAF uses the IIS protocol to communicate with a valid image display
 server, such as DS9. This package implements this protocol, mainly
 for the use in saods9.

Package: saods9-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Image display tool for astronomy (help files/documentation)
 SAOImage DS9 is an astronomical imaging and data visualization
 application. DS9 supports FITS images and binary tables, multiple frame
 buffers, region manipulation, and many scale algorithms and colormaps. It
 provides for easy communication with external analysis tasks and is highly
 configurable and extensible via XPA and SAMP.
 .
 This package contains the documentation and help pages.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -D tcliis
	dh_auto_configure -D tksao

override_dh_auto_build:
	dh_auto_build -D tcliis
	dh_auto_build -D tksao
	chmod ugo+x ds9/ds9
	perl -w debian/generate-man > ds9/ds9.1

override_dh_auto_test:
ifeq ($(filter $(DEB_BUILD_OPTIONS),nocheck),)
	DS9_HOME=ds9 \
	TCLLIBPATH="tksao tcliis" \
	xvfb-run --server-args="-screen 0 1024x768x24" \
	./ds9/ds9 -quit
endif

override_dh_installchangelogs:
	dh_installchangelogs ds9/doc/release/r7.6.html

## saods9 8.0+repack

=== debian/changelog ===
saods9 (8.0+repack-1) unstable; urgency=low

  * New stable upstream version 8.0+repack. Switch back to unstable.
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Dec 2018 21:42:12 +0100

saods9 (8.0~rc.4+repack-1) experimental; urgency=low

  * New upstream version 8.0~rc.4+repack

 -- Ole Streicher <olebole@debian.org>  Thu, 27 Sep 2018 14:37:15 +0200

saods9 (8.0~rc.3+repack-1) experimental; urgency=low

  * Fix XPA test for slow machines
  * New upstream version 8.0~rc.3+repack

 -- Ole Streicher <olebole@debian.org>  Tue, 25 Sep 2018 17:35:18 +0200

saods9 (8.0~rc.2+repack-1) experimental; urgency=low

  * Update changelog for 7.6+repack-3 release
  * New upstream version 8.0~rc2+repack

 -- Ole Streicher <olebole@debian.org>  Tue, 04 Sep 2018 22:26:39 +0200

saods9 (8.0~rc+repack-1) experimental; urgency=low

  * New upstream RC version 8.0~rc. Rediff patches. Switch to experimental
  * Remove wcstools references: not used anymore
  * Push Standards-Version to 4.2.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 03 Sep 2018 08:42:09 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                libfuntools-dev,
                libstarlink-ast-dev (>= 7.0.4),
                libtk-img-dev,
-               libwcstools-dev,
                libxml2-dev,
                perl,
                tcl-dev (>= 8.6),
@@ -27,7 +26,7 @@
                tkcon,
                xauth,
                xvfb
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://ds9.si.edu/
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/saods9
 Vcs-Git: https://salsa.debian.org/debian-astro-team/saods9.git

## saods9 8.0.1+repack

=== debian/changelog ===
saods9 (8.0.1+repack-2) unstable; urgency=medium

  * Provide full path to wish (Closes: #912375) (LP: #1782692, #1737112)

 -- Ole Streicher <olebole@debian.org>  Sun, 06 Jan 2019 19:16:24 +0100

saods9 (8.0.1+repack-1) unstable; urgency=low

  * New upstream version 8.0.1+repack. Rediff patches
  * Push Standards-Version to 4.3.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 06 Jan 2019 17:32:53 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                tkcon,
                xauth,
                xvfb
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://ds9.si.edu/
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/saods9
 Vcs-Git: https://salsa.debian.org/debian-astro-team/saods9.git

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 override_dh_auto_build:
 	dh_auto_build -D tcliis
 	dh_auto_build -D tksao
+	for i in $(shell find ds9 -name \*.tac) ; do f=$$(basename $$i | sed s/parser.tac//); tclsh taccle/taccle.tcl -p $$f -d $$i ; done
+	for i in $(shell find ds9 -name \*.fcl) ; do f=$$(basename $$i | sed s/lex.fcl//); tclsh fickle/fickle.tcl -P $$f $$i ; done
+	mv ds9/parsers/*.tcl ds9/library
 	chmod ugo+x ds9/ds9
 	perl -w debian/generate-man > ds9/ds9.1

=== debian/tests/control ===
Tests: saods9
Depends: saods9, xauth, xpa-tools, xvfb, funtools

Tests: saods9-xpa
Depends: saods9, xauth, xpa-tools, xvfb, funtools

## saods9 8.1%2Brepack

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,18 @@
 override_dh_auto_build:
 	dh_auto_build -D tcliis
 	dh_auto_build -D tksao
-	for i in $(shell find ds9 -name \*.tac) ; do f=$$(basename $$i | sed s/parser.tac//); tclsh taccle/taccle.tcl -p $$f -d $$i ; done
-	for i in $(shell find ds9 -name \*.fcl) ; do f=$$(basename $$i | sed s/lex.fcl//); tclsh fickle/fickle.tcl -P $$f $$i ; done
+	for i in $(shell find ds9 -name \*.tac) ; do \
+	  f=$$(basename $$i | sed s/parser.tac//); \
+          tclsh taccle/taccle.tcl -p $$f -d $$i ; \
+	  sed '1 i\package provide DS9 1.0' -i ds9/parsers/$${f}parser.tcl ; \
+        done
+	for i in $(shell find ds9 -name \*.fcl) ; do \
+	  f=$$(basename $$i | sed s/lex.fcl//); \
+          tclsh fickle/fickle.tcl -P $$f $$i ; \
+	  sed '1 i\package provide DS9 1.0' -i ds9/parsers/$${f}lex.tcl ; \
+        done
 	mv ds9/parsers/*.tcl ds9/library
+	cd ds9/library; echo "pkg_mkIndex . *.tcl; exit" | tclsh
 	chmod ugo+x ds9/ds9
 	perl -w debian/generate-man > ds9/ds9.1

## saods9 8.1+repack

=== debian/changelog ===
saods9 (8.1+repack-3) unstable; urgency=medium

  * Use standard path for imtoolsrc
  * Use make utils.c:internalError() dummy
  * Push Standards-Version to 4.5.0. No changes needed
  * Remove unneeded build dep versions

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Jun 2020 11:58:37 +0200

saods9 (8.1+repack-2) unstable; urgency=medium

  * Allow stderr on saods9-xpa test (Closes: #959077)

 -- Ole Streicher <olebole@debian.org>  Fri, 01 May 2020 11:33:49 +0200

saods9 (8.1+repack-1) unstable; urgency=low

  * New upstream version 8.1+repack. Rediff patches
  * Switch back to unstable
  * Use AUTOPKGTEST_TMP in CI tests

 -- Ole Streicher <olebole@debian.org>  Tue, 17 Dec 2019 12:58:38 +0100

saods9 (8.1~rc+repack-3) experimental; urgency=medium

  * Add gitlab CI config
  * Add package provide to first line of lex/parser tcl files

 -- Ole Streicher <olebole@debian.org>  Mon, 04 Nov 2019 21:09:06 +0100

saods9 (8.1~rc+repack-2) experimental; urgency=medium

  * Unconditionally add include patch to libxml2 to fix FTBFS on
    non-linux variants

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Nov 2019 12:11:51 +0100

saods9 (8.1~rc+repack-1) experimental; urgency=medium

  * New upstream version 8.1~rc+repack. Rediff patches
  * Push Standards-Version to 4.4.1. No changes required
  * Push Standards-Version to 12. Remove d/compat

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Nov 2019 09:28:41 +0100

saods9 (8.1~b1+repack-1) experimental; urgency=medium

  * Update Files-Excluded
  * New upstream version 8.1~b1+repack
  * Rediff patches
  * Create tcl index for ds9/library

 -- Ole Streicher <olebole@debian.org>  Sun, 19 May 2019 15:13:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,35 @@
 Source: saods9
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: cpio,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                dh-exec,
                html2text,
                libfuntools-dev,
-               libstarlink-ast-dev (>= 7.0.4),
+               libstarlink-ast-dev,
                libtk-img-dev,
                libxml2-dev,
                perl,
-               tcl-dev (>= 8.6),
+               tcl-dev,
                tcl-signal,
                tcl-xpa,
                tcllib,
-               tcltls,
+               tcl-tls,
                tclxml,
-               tk-dev (>= 8.6),
+               tk-dev,
                tk-html1,
                tk-mpeg,
-               tk-table (>= 2.9),
+               tk-table,
                tkblt-dev,
                tkcon,
                xauth,
                xvfb
-Standards-Version: 4.3.0
-Homepage: http://ds9.si.edu/
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/saods9
 Vcs-Git: https://salsa.debian.org/debian-astro-team/saods9.git
+Homepage: http://ds9.si.edu/
 
 Package: saods9
 Architecture: all
@@ -38,18 +38,19 @@
          tcl-xpa,
          tcliis,
          tcllib,
-         tcltls,
+         tcl-tls,
          tclxml,
-         tk (>= 8.6),
+         tk,
          tk-html1,
          tk-mpeg,
-         tk-table (>= 2.9),
+         tk-table,
          tkblt,
          tkcon,
          tksao,
          ${misc:Depends}
 Recommends: saods9-doc
-Suggests: python3-pyds9, xpa-tools
+Suggests: python3-pyds9,
+          xpa-tools
 Breaks: saods9-data (<< 7.4~b4+repack-2~)
 Replaces: saods9-data (<< 7.4~b4+repack-2~)
 Description: Image display tool for astronomy
@@ -73,10 +74,12 @@
 
 Package: tksao
 Architecture: any
-Depends: tkblt, ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Depends: tkblt,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: saods9-doc
 Suggests: saods9
-Multi-Arch: same
 Description: Tk widgets for astronomical imaging and data visualization
  SAOTk is an integrated set of Tcl/Tk canvas widgets for astronomical
  imaging and data visualization. The widget set is composed of the
@@ -95,10 +98,12 @@
 
 Package: tcliis
 Architecture: any
-Depends: tcl, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
+Depends: tcl,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: saods9-tclpackages (<< 7.6+repack-1~)
 Replaces: saods9-tclpackages (<< 7.6+repack-1~)
-Breaks: saods9-tclpackages (<< 7.6+repack-1~)
 Description: Tcl IIS protocol package
  IRAF uses the IIS protocol to communicate with a valid image display
  server, such as DS9. This package implements this protocol, mainly
@@ -106,8 +111,8 @@
 
 Package: saods9-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Image display tool for astronomy (help files/documentation)
  SAOImage DS9 is an astronomical imaging and data visualization

## saods9 8.2+repack

=== debian/changelog ===
saods9 (8.2+repack-2) unstable; urgency=medium

  * Use scalable desktop icon

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Nov 2020 20:30:30 +0100

saods9 (8.2+repack-1) unstable; urgency=medium

  * Update d/watch for download URL change
  * New upstream RC version 8.2+repack. Rediff patches
  * Add Rules-Requires-Root: no to d/control
  * Push dhcompat to 13
  * Update dependencies and build dependencies
  * New tclfitsy package
  * New license (Expat) for Debian files
  * Remove obsolete field Name from debian/upstream/metadata
  * Set upstream metadata fields: Bug-Submit, Repository,
    Repository-Browse.
  * Build-depend of numberes libstdc++-10-dev
  * Fix directories in d/copyright
  * Fix capitalization of Tcl in d/control

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Nov 2020 09:41:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,22 @@
 Section: science
 Priority: optional
 Build-Depends: cpio,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-exec,
                html2text,
+               libstdc++-10-dev | libstdc++-dev,
                libfuntools-dev,
                libstarlink-ast-dev,
                libtk-img-dev,
                libxml2-dev,
                perl,
+               tcl-awthemes,
                tcl-dev,
                tcl-signal,
                tcl-xpa,
                tcllib,
                tcl-tls,
+               tcl-ttkthemes,
                tclxml,
                tk-dev,
                tk-html1,
@@ -30,12 +33,16 @@
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/saods9
 Vcs-Git: https://salsa.debian.org/debian-astro-team/saods9.git
 Homepage: http://ds9.si.edu/
+Rules-Requires-Root: no
 
 Package: saods9
 Architecture: all
 Depends: libtk-img,
+         tcl-awthemes,
          tcl-signal,
+         tcl-ttkthemes,
          tcl-xpa,
+         tclfitsy,
          tcliis,
          tcllib,
          tcl-tls,
@@ -106,8 +113,19 @@
 Replaces: saods9-tclpackages (<< 7.6+repack-1~)
 Description: Tcl IIS protocol package
  IRAF uses the IIS protocol to communicate with a valid image display
- server, such as DS9. This package implements this protocol, mainly
+ server, such as saods9. This package implements this protocol, mainly
  for the use in saods9.
+
+Package: tclfitsy
+Architecture: any
+Multi-Arch: same
+Depends: tcl,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Tcl FITS Extension
+ FITS (Flexible Image Transport System) is a data format most used in
+ astronomy. tclsfits is a Tcl package for reading FITS format data files.
+ This package is used mainly for saods9 and not tested otherwise.
 
 Package: saods9-doc
 Architecture: all

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack.*//,repacksuffix=+repack,uversionmangle=s/(.+)([abr].+)/$1~$2/ \
    http://ds9.si.edu/download/source ds9\.(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## saods9 8.3+repack

=== debian/changelog ===
saods9 (8.3+repack-1) unstable; urgency=medium

  * New upstream version 8.3+repack. Switch back to unstable.
  * Rediff patches
  * d/copyright: Drop removal of no longer existend libxml2

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Nov 2021 20:34:53 +0100

saods9 (8.3~rc+repack-1) experimental; urgency=medium

  * New upstream version 8.3~rc+repack
  * Rediff patches
  * Drop ds9-Add-the-Debian-packager-to-the-About-box.patch

 -- Ole Streicher <olebole@debian.org>  Tue, 09 Nov 2021 13:53:55 +0100

saods9 (8.3~b1+repack-2) experimental; urgency=medium

  * Adjust package name of tclsignal to new version (Closes: #993547)

 -- Ole Streicher <olebole@debian.org>  Fri, 03 Sep 2021 20:43:03 +0200

saods9 (8.3~b1+repack-1) experimental; urgency=medium

  * New upstream version 8.3~b1+repack. Rediff patches
  * Re-order and rename patches according to subsystem
  * Push Standards-Version to 4.5.1. No changes.
  * Fix d/watch

 -- Ole Streicher <olebole@debian.org>  Mon, 17 May 2021 10:34:18 +0200

saods9 (8.2+repack-3) unstable; urgency=medium

  * Re-order and rename patches according to subsystem
  * Fix d/watch base URL
  * Adjust package name of tclsignal to new version (Closes: #993547)
  * Push Standards-Version to 4.6.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 03 Sep 2021 20:51:26 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                perl,
                tcl-awthemes,
                tcl-dev,
-               tcl-signal,
+               tcl-signal (>= 1.4.4.1-2~),
                tcl-xpa,
                tcllib,
                tcl-tls,
@@ -29,7 +29,7 @@
                tkcon,
                xauth,
                xvfb
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/saods9
 Vcs-Git: https://salsa.debian.org/debian-astro-team/saods9.git
 Homepage: http://ds9.si.edu/
@@ -39,7 +39,7 @@
 Architecture: all
 Depends: libtk-img,
          tcl-awthemes,
-         tcl-signal,
+         tcl-signal (>= 1.4.4.1-2~),
          tcl-ttkthemes,
          tcl-xpa,
          tclfitsy,

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,27 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
+
+export pwd = $(shell pwd)
+export DEB_CPPFLAGS_MAINT_APPEND = -I$(pwd)/util -I$(pwd)/vector -I$(pwd)/fitsy
 
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -D tcliis
+	dh_auto_configure -D util
+	dh_auto_configure -D vector
+	dh_auto_configure -D fitsy
+	dh_auto_configure -D tclfitsy
 	dh_auto_configure -D tksao
 
 override_dh_auto_build:
 	dh_auto_build -D tcliis
+	dh_auto_build -D util
+	dh_auto_build -D vector
+	dh_auto_build -D fitsy
+	dh_auto_build -D tclfitsy
 	dh_auto_build -D tksao
 	for i in $(shell find ds9 -name \*.tac) ; do \
 	  f=$$(basename $$i | sed s/parser.tac//); \
@@ -30,7 +41,7 @@
 override_dh_auto_test:
 ifeq ($(filter $(DEB_BUILD_OPTIONS),nocheck),)
 	DS9_HOME=ds9 \
-	TCLLIBPATH="tksao tcliis" \
+	TCLLIBPATH="tksao tcliis tclfitsy" \
 	xvfb-run --server-args="-screen 0 1024x768x24" \
 	./ds9/ds9 -quit
 endif

## saods9 8.4+repack

=== debian/changelog ===
saods9 (8.4+repack-1) unstable; urgency=medium

  * New upstream version 8.4+repack. Switch back to unstable.
  * Correctly pass command line arguments to tcl script (Closes: #1025669)
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 14 Dec 2022 12:17:59 +0100

saods9 (8.4~rc+repack-1) experimental; urgency=medium

  * New upstream release candidate 8.4~rc+repack. Switch to experimental
  * Rediff patches
  * Adjust installed file list
  * New dependency tklib
  * Integrate tcliis into tksao
  * Push Standards-Version to 4.6.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 31 Oct 2022 15:23:47 +0100

=== debian/control ===
--- 
+++ 
@@ -27,9 +27,10 @@
                tk-table,
                tkblt-dev,
                tkcon,
+               tklib,
                xauth,
                xvfb
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/saods9
 Vcs-Git: https://salsa.debian.org/debian-astro-team/saods9.git
 Homepage: http://ds9.si.edu/
@@ -43,7 +44,6 @@
          tcl-ttkthemes,
          tcl-xpa,
          tclfitsy,
-         tcliis,
          tcllib,
          tcl-tls,
          tclxml,
@@ -53,13 +53,12 @@
          tk-table,
          tkblt,
          tkcon,
+         tklib,
          tksao,
          ${misc:Depends}
 Recommends: saods9-doc
 Suggests: python3-pyds9,
           xpa-tools
-Breaks: saods9-data (<< 7.4~b4+repack-2~)
-Replaces: saods9-data (<< 7.4~b4+repack-2~)
 Description: Image display tool for astronomy
  SAOImage DS9 is an astronomical imaging and data visualization
  application. DS9 supports FITS images and binary tables, multiple frame
@@ -103,19 +102,6 @@
  environment to build custom data analysis and visualization
  applications.
 
-Package: tcliis
-Architecture: any
-Multi-Arch: same
-Depends: tcl,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: saods9-tclpackages (<< 7.6+repack-1~)
-Replaces: saods9-tclpackages (<< 7.6+repack-1~)
-Description: Tcl IIS protocol package
- IRAF uses the IIS protocol to communicate with a valid image display
- server, such as saods9. This package implements this protocol, mainly
- for the use in saods9.
-
 Package: tclfitsy
 Architecture: any
 Multi-Arch: same

## saods9 8.4.1+repack

=== debian/changelog ===
saods9 (8.4.1+repack-3) unstable; urgency=medium

  * Test for sys/un.h in tksao configure (Closes: #1033797)

 -- Ole Streicher <olebole@debian.org>  Sat, 01 Apr 2023 16:33:42 +0200

saods9 (8.4.1+repack-2) unstable; urgency=medium

  * Team upload
  * Remove unnecessary B-D libstdc++-dev

 -- Bastian Germann <bage@debian.org>  Tue, 14 Mar 2023 14:19:39 +0100

saods9 (8.4.1+repack-1) unstable; urgency=medium

  * New upstream version 8.4.1+repack
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Dec 2022 12:00:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                debhelper-compat (= 13),
                dh-exec,
                html2text,
-               libstdc++-10-dev | libstdc++-dev,
                libfuntools-dev,
                libstarlink-ast-dev,
                libtk-img-dev,
@@ -30,7 +29,7 @@
                tklib,
                xauth,
                xvfb
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/saods9
 Vcs-Git: https://salsa.debian.org/debian-astro-team/saods9.git
 Homepage: http://ds9.si.edu/

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -D tcliis
 	dh_auto_configure -D util
 	dh_auto_configure -D vector
 	dh_auto_configure -D fitsy
@@ -17,7 +16,6 @@
 	dh_auto_configure -D tksao
 
 override_dh_auto_build:
-	dh_auto_build -D tcliis
 	dh_auto_build -D util
 	dh_auto_build -D vector
 	dh_auto_build -D fitsy
@@ -41,7 +39,7 @@
 override_dh_auto_test:
 ifeq ($(filter $(DEB_BUILD_OPTIONS),nocheck),)
 	DS9_HOME=ds9 \
-	TCLLIBPATH="tksao tcliis tclfitsy" \
+	TCLLIBPATH="tksao tclfitsy" \
 	xvfb-run --server-args="-screen 0 1024x768x24" \
 	./ds9/ds9 -quit
 endif

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack.*//,repacksuffix=+repack,uversionmangle=s/(.+)([abr].+)/$1~$2/ \
    http://ds9.si.edu/download/source/ ds9\.(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## saods9 8.5%2Brepack

=== debian/rules ===
--- 
+++ 
@@ -3,20 +3,18 @@
 # export DH_VERBOSE=1
 
 export pwd = $(shell pwd)
-export DEB_CPPFLAGS_MAINT_APPEND = -I$(pwd)/util -I$(pwd)/vector -I$(pwd)/fitsy
+export DEB_CPPFLAGS_MAINT_APPEND = -I$(pwd)/vector -I$(pwd)/fitsy
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -D util
 	dh_auto_configure -D vector
 	dh_auto_configure -D fitsy
 	dh_auto_configure -D tclfitsy
 	dh_auto_configure -D tksao
 
 override_dh_auto_build:
-	dh_auto_build -D util
 	dh_auto_build -D vector
 	dh_auto_build -D fitsy
 	dh_auto_build -D tclfitsy

## saods9 8.5+repack

=== taccle/examples/Makefile ===
# $Id: Makefile,v 1.2 2004/09/29 16:23:28 tang Exp $

TCL=tclsh
FICKLE=~/fickle/fickle.tcl
TACCLE=../taccle.tcl
EXAMPLES=interactive_calculator.tcl simple_calculator.tcl infix_calc.tcl

all: $(EXAMPLES) simple_scanner.tcl

%.tcl: %.fcl
	$(TCL) $(FICKLE) $<

%.tcl: %.tac
	$(TCL) $(TACCLE) -d -v -w $<

clean:
	-rm -f *tcl *output

=== debian/changelog ===
saods9 (8.5+repack-2) unstable; urgency=medium

  * Require Img package to enable jpeg output (Closes: #1077631)
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 03 Aug 2024 10:51:36 +0200

saods9 (8.5+repack-1) unstable; urgency=medium

  * New upstream version 8.5+repack (Closes: #1049271)
  * Rediff patches
  * Remove references to deleted util/ subdir
  * Require xml on ds9 startup (Closes: #1035424)

 -- Ole Streicher <olebole@debian.org>  Sun, 27 Aug 2023 10:47:44 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                tklib,
                xauth,
                xvfb
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/saods9
 Vcs-Git: https://salsa.debian.org/debian-astro-team/saods9.git
 Homepage: http://ds9.si.edu/

## saods9 8.6+repack

=== fickle/examples/Makefile ===
# $Id: Makefile,v 1.1.1.1 2004/07/23 19:22:41 tang Exp $

# A simple Makefile that calls fickle upon the example specification
# files.

TCL=/usr/bin/tclsh
FICKLE=../fickle.tcl
FCL_EXS=cat.tcl verbs.tcl wc.tcl wc2.tcl cl.tcl csa.tcl tsa.tcl

all: fcl_exs

fcl_exs: $(FCL_EXS)

%.tcl: %.fcl
	-$(TCL) $(FICKLE) $<

clean:
	-rm -f $(FCL_EXS:.fcl=.tcl)

.PHONY: clean

=== debian/changelog ===
saods9 (8.6+repack-6) unstable; urgency=medium

  * Add arguments to function declarations (Closes: #1097844)
  * Push Standards-Verson to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 10 Sep 2025 14:35:11 +0200

saods9 (8.6+repack-5) unstable; urgency=medium

  * Use  as linker in c++ libraries (Closes: #1092642)
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 27 Mar 2025 21:29:32 +0100

saods9 (8.6+repack-4) unstable; urgency=medium

  * Fix appstream metainfo file name

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Nov 2024 14:42:03 +0100

saods9 (8.6+repack-3) unstable; urgency=medium

  * Add appstream metadata file

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Nov 2024 14:31:30 +0100

saods9 (8.6+repack-2) unstable; urgency=medium

  * reinstall hack for TOPCAT, returns bad 'totalsize' value

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Aug 2024 11:33:26 +0200

saods9 (8.6+repack-1) unstable; urgency=medium

  * New upstream version 8.6+repack
  * Remove local svg package when repacking upstream
  * Exclude generated files from orig.tar.gz
  * Rediff patches
  * [tksao/tclfitsy] Make internalError() working locally
  * Update release notes file
  * New local Tcl package saoxmlrpc

 -- Ole Streicher <olebole@debian.org>  Tue, 06 Aug 2024 14:18:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,37 @@
 Source: saods9
+Standards-Version: 4.7.2
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
+Uploaders:
+ Ole Streicher <olebole@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: cpio,
-               debhelper-compat (= 13),
-               dh-exec,
-               html2text,
-               libfuntools-dev,
-               libstarlink-ast-dev,
-               libtk-img-dev,
-               libxml2-dev,
-               perl,
-               tcl-awthemes,
-               tcl-dev,
-               tcl-signal (>= 1.4.4.1-2~),
-               tcl-xpa,
-               tcllib,
-               tcl-tls,
-               tcl-ttkthemes,
-               tclxml,
-               tk-dev,
-               tk-html1,
-               tk-mpeg,
-               tk-table,
-               tkblt-dev,
-               tkcon,
-               tklib,
-               xauth,
-               xvfb
-Standards-Version: 4.7.0
+Build-Depends:
+ cpio,
+ debhelper-compat (= 13),
+ dh-exec,
+ html2text,
+ libfuntools-dev,
+ libstarlink-ast-dev,
+ libtk-img-dev,
+ libxml2-dev,
+ perl,
+ tcl-awthemes,
+ tcl-dev,
+ tcl-signal,
+ tcl-xpa,
+ tcllib,
+ tcl-tls,
+ tcl-ttkthemes,
+ tclxml,
+ tk-dev,
+ tk-html1,
+ tk-mpeg,
+ tk-table,
+ tkblt-dev,
+ tkcon,
+ tklib,
+ xauth,
+ xvfb,
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/saods9
 Vcs-Git: https://salsa.debian.org/debian-astro-team/saods9.git
 Homepage: http://ds9.si.edu/
@@ -37,27 +39,31 @@
 
 Package: saods9
 Architecture: all
-Depends: libtk-img,
-         tcl-awthemes,
-         tcl-signal (>= 1.4.4.1-2~),
-         tcl-ttkthemes,
-         tcl-xpa,
-         tclfitsy,
-         tcllib,
-         tcl-tls,
-         tclxml,
-         tk,
-         tk-html1,
-         tk-mpeg,
-         tk-table,
-         tkblt,
-         tkcon,
-         tklib,
-         tksao,
-         ${misc:Depends}
-Recommends: saods9-doc
-Suggests: python3-pyds9,
-          xpa-tools
+Depends:
+ libtk-img,
+ saoxmlrpc,
+ tcl-awthemes,
+ tcl-signal,
+ tcl-ttkthemes,
+ tcl-xpa,
+ tclfitsy,
+ tcllib,
+ tcl-tls,
+ tclxml,
+ tk,
+ tk-html1,
+ tk-mpeg,
+ tk-table,
+ tkblt,
+ tkcon,
+ tklib,
+ tksao,
+ ${misc:Depends},
+Recommends:
+ saods9-doc,
+Suggests:
+ python3-pyds9,
+ xpa-tools,
 Description: Image display tool for astronomy
  SAOImage DS9 is an astronomical imaging and data visualization
  application. DS9 supports FITS images and binary tables, multiple frame
@@ -80,11 +86,14 @@
 Package: tksao
 Architecture: any
 Multi-Arch: same
-Depends: tkblt,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: saods9-doc
-Suggests: saods9
+Depends:
+ tkblt,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ saods9-doc,
+Suggests:
+ saods9,
 Description: Tk widgets for astronomical imaging and data visualization
  SAOTk is an integrated set of Tcl/Tk canvas widgets for astronomical
  imaging and data visualization. The widget set is composed of the
@@ -104,19 +113,35 @@
 Package: tclfitsy
 Architecture: any
 Multi-Arch: same
-Depends: tcl,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ tcl,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Tcl FITS Extension
  FITS (Flexible Image Transport System) is a data format most used in
  astronomy. tclsfits is a Tcl package for reading FITS format data files.
  This package is used mainly for saods9 and not tested otherwise.
 
+Package: saoxmlrpc
+Architecture: any
+Multi-Arch: same
+Depends:
+ tcl,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Tcl XML-RPC implementation from SAO
+ Tcl implementation of XML-RPC providing both client and server
+ support.
+ .
+ This implementation is specific for the saods9 program. While it may
+ be useful elsewhere, there is no support for other uses.
+
 Package: saods9-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Image display tool for astronomy (help files/documentation)
  SAOImage DS9 is an astronomical imaging and data visualization
  application. DS9 supports FITS images and binary tables, multiple frame

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,14 @@
 	dh_auto_configure -D fitsy
 	dh_auto_configure -D tclfitsy
 	dh_auto_configure -D tksao
+	dh_auto_configure -D tclxmlrpc
 
 override_dh_auto_build:
 	dh_auto_build -D vector
 	dh_auto_build -D fitsy
 	dh_auto_build -D tclfitsy
 	dh_auto_build -D tksao
+	dh_auto_build -D tclxmlrpc -- SHLIB_LD="g++ $$LDFLAGS -shared"
 	for i in $(shell find ds9 -name \*.tac) ; do \
 	  f=$$(basename $$i | sed s/parser.tac//); \
           tclsh taccle/taccle.tcl -p $$f -d $$i ; \
@@ -37,10 +39,10 @@
 override_dh_auto_test:
 ifeq ($(filter $(DEB_BUILD_OPTIONS),nocheck),)
 	DS9_HOME=ds9 \
-	TCLLIBPATH="tksao tclfitsy" \
+	TCLLIBPATH="tksao tclfitsy tclxmlrpc" \
 	xvfb-run --server-args="-screen 0 1024x768x24" \
 	./ds9/ds9 -quit
 endif
 
 override_dh_installchangelogs:
-	dh_installchangelogs ds9/doc/release/r7.6.html
+	dh_installchangelogs ds9/doc/release/r8.6.html

=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,4 @@
 
 Tests: saods9-xpa
 Depends: saods9, xauth, xpa-tools, xvfb, funtools
+Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack.*//,repacksuffix=+repack,uversionmangle=s/(.+)([abr].+)/$1~$2/ \
    http://ds9.si.edu/download/source/ ds9\.(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
# opts=dversionmangle=s/\+repack.*//,repacksuffix=+repack,uversionmangle=s/(.+)([abr].+)/$1~$2/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/saods9-$1\.tar\.gz/ \
#     https://github.com/SAOImageDS9/SAOImageDS9/tags .*/v?(\d\S*)\.tar\.gz
